export declare const publicConst: {
    maxChannelsPerBoard: number;
    maxBoards: number;
    inhibitedBoard: number;
    stepsPerCycle: number;
    defaultFrequency: number;
};
export interface IPCA9685Module {
    readonly address: number;
    readonly board: number;
    frequency: number;
    dutyCycle(ch: number): number;
    setDutyCycle(ch: number, dutyCycleNormalized: number): void;
    reset(): void;
    channelOff(ch?: number): void;
    channelOn(ch: number): void;
}
export declare class PCA9685Module implements IPCA9685Module {
    private static i2c;
    private _frequency;
    private _address;
    get address(): number;
    get board(): number;
    get frequency(): number;
    set frequency(frequency: number);
    setDutyCycle(ch: number, dutyCycleNormalized: number): void;
    setDutyCycleUInt(ch: number, dutyCycleUInt: number): void;
    dutyCycleUInt(ch: number): number;
    dutyCycle(ch: number): number;
    private setFrequency;
    reset(): void;
    channelOff(ch?: number): void;
    channelOn(ch: number): void;
    constructor(board: number, frequency?: number);
    destroy(): void;
}
